Metrics
Fetch pipeline health metrics
Query and fetch health information for the current account.
GET
/
v3
/
pipeline
/
metric
/
health
Fetch pipeline health metrics
curl --request GET \
--url https://api.mezmo.com/v3/pipeline/metric/health \
--header 'Authorization: <api-key>'import requests
url = "https://api.mezmo.com/v3/pipeline/metric/health"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.mezmo.com/v3/pipeline/metric/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
The primary authentication method for the Mezmo API.
Pass the key in the Authorization header in the format Token <ACCESS TOKEN>.
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
This key is used for all APIs with the exception of ingest.
Query Parameters
Limit health metrics to the given pipeline id. If not defined, the metrics will include all pipelines for the account.
Fetch previous log messages for transforms.
Response
200
Default Response
Was this page helpful?
Fetch pipeline health metrics

